import {Connection} from '../Connection'
import {BaseEvent} from '../../../support/bus'

/**
 * Event fired when a query is executed.
 */
export class QueryExecutedEvent extends BaseEvent {
    constructor(
        public readonly connectionName: string,
        public readonly connection: Connection,
        public readonly query: string,
    ) {
        super()
    }

    eventName = '@extollo/lib.QueryExecutedEvent'
}
